/*
=============================================
Author      : <ยุทธภูมิ ตวันนา>
Create date : <๒๗/๐๔/๒๕๖๓>
Modify date : <๐๗/๐๖/๒๕๖๕>
Description : <>
=============================================
*/

@import "../assets/style/util.scss";

.main-view {
    position: relative;
    top: -1rem;
}

.main-view #project-category {
    background-image: url($image-path + "/background1.png");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
    position: relative;
    padding-top: 2rem;
    padding-bottom: 0.5rem;
}

.main-view #project-category::before,
.main-view #registration-nowopen::before,
.main-view #registration-comingsoon::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 9;
}

.main-view #project-category::before {
    background: rgba(29, 79, 145, 0.8);
}

.main-view #project-category .container,
.main-view #project-category .container-fluid,
.main-view #project-category .container-fixed,
.main-view .registration-status .container-fluid {
    position: relative;
    z-index: 10;
}

.main-view #project-category .container-fixed,
.main-view .registration-status .container-fixed {
    max-width: 1176px;
    overflow: hidden;
}

.main-view #project-category .container-fixed .col-fixed {
    position: relative;
    max-width: 270px;
    height: 218px;
    margin-right: 0.75rem;
    margin-left: 0.75rem;
}

.main-view #project-category a.btn {
    width: 100% !important;
    height: 100% !important;
    background: transparent;
    border: 3px solid rgba(255, 255, 255, 0.1);
}

.main-view #project-category a.btn .logo {
    border-color: transparent !important;
    position: relative;
}

.main-view #project-category a.btn .logo .badge {
    position: absolute;
    top: 13px;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    ::i-block-chrome,
    .main-view #project-category a.btn .logo .badge {
        top: 12px;
    }
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .main-view #project-category a.btn .logo .badge {
        top: 10px;
    }
}

.main-view #project-category a.btn:hover,
.main-view #project-category a.btn:focus,
.main-view #project-category a.btn.focus,
.main-view #project-category a.btn:active,
.main-view #project-category a.btn.active {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.5), 0 6px 15px 0 rgba(0, 0, 0, 0.3) !important;
    background: #ffffff !important;
    border-color: transparent;
}

.main-view #project-category a.btn:hover .logo,
.main-view #project-category a.btn:focus .logo,
.main-view #project-category a.btn.focus .logo,
.main-view #project-category a.btn:active .logo,
.main-view #project-category a.btn.active .logo {
    color: #ffffff !important;
    background: #4dabf7 !important;
    border-color: #4dabf7 !important;
}

.main-view #project-category a.btn:hover .name,
.main-view #project-category a.btn:focus .name,
.main-view #project-category a.btn.focus .name,
.main-view #project-category a.btn:active .name,
.main-view #project-category a.btn.active .name {
    color: #000000 !important;
}

.main-view #project-category a.btn:hover .name .initial,
.main-view #project-category a.btn:focus .name .initial,
.main-view #project-category a.btn.focus .name .initial,
.main-view #project-category a.btn:active .name .initial,
.main-view #project-category a.btn.active .name .initial {
    color: rgb(0, 0, 0, 0.5) !important;
}

.main-view .registration-status {
    position: relative;
    padding-top: 1.25rem;
    padding-right: 1rem;
    padding-left: 1rem;
}

.main-view .registration-status .container-fixed {
    max-width: 1152px;
}

.main-view .registration-status .card-col {
    width: 261px;
    margin-right: 0.75rem;
    margin-bottom: 0.75rem;
    margin-left: 0.75rem;
}

.main-view .registration-status .card {
    box-shadow: 0 0.5rem 0.5rem rgba(0,0,0,.15) !important
}

.main-view .registration-status .card .project-title-info .project-logo {
    height: 140px;
}

.main-view .registration-status .card .project-info {
    min-height: 120px;
}

.main-view .registration-status .card .project-info p {
    color: #124265;
    line-height: 1.35;
}

.main-view .registration-status .card .project-openonlyfor-info {
    min-height: 110px;
    line-height: 1.5;
}

.main-view .registration-status .card .card-footer .btn {
    width: 110px;
}

.main-view .registration-status .d-block.border {
    width: 5rem;
    height: 5rem;
    border-style: dashed !important;
}

.main-view #registration-nowopen {
    background: #EFEFEF;
}

.main-view #registration-nowopen .card {
    background: #D5FFD5;
    border-color: rgba(40, 167, 69, 0.5) !important;
}

.main-view #registration-comingsoon .section-header .divider .divider-inner {
    background: #FFC107;
}

.main-view #registration-comingsoon .card {
    background: rgba(255, 193, 7, 0.3);
    border-color: rgba(255, 193, 7, 0.5) !important;
}

@media only screen and (max-width: 1200px) {
    .main-view #project-category .container-fixed {
        max-width: 882px !important;
    }

    .main-view .registration-status .container-fixed {
        max-width: 858px !important;
    }

    .main-view .registration-status .card-col {
        width: 258px !important;
    }
}

@media only screen and (max-width: 907px) {
    .main-view #project-category .container-fixed {
        max-width: 588px !important;
    }

    .main-view .registration-status .container-fixed {
        max-width: 564px !important;
    }

    .main-view .registration-status .card-col {
        width: 252px !important;
    }
}

@media only screen and (max-width: 613px) {
    .main-view #project-category .container-fixed {
        max-width: 294px !important;
    }

    .main-view #project-category .container-fixed .col-fixed {
        height: auto;
        margin-right: 0;
        margin-left: 0;
    }

    .main-view .registration-status .container-fixed {
        max-width: 548px !important;
    }

    .main-view .registration-status .card-col {
        width: 244px !important;
    }
}

@media only screen and (max-width: 597px) {
    .main-view .registration-status .container-fixed {
        max-width: 312px !important;
    }

    .main-view .registration-status .card-col {
        width: 276px !important;
    }
}

@media only screen and (max-width: 360px) {
    .main-view #project-category {
        padding-right: 1rem;
        padding-left: 1rem;
    }
}
